rollout AboutRollOut "About" rolledUp:true (
	local _name
	local _RollOut

	---------------------------------------------------------------
	-- init GUI
	---------------------------------------------------------------
	label lbl01 "PteroCollette Tool" align:#center
	bitmap iconMap bitmap:(bitmap 144 80) align:#center
	label lbl07 "Add-in PteroEngine II tool"
	label lbl00 "" align:#center
	label lbl03 "by Pan Collette" align:#center
	button btnPtero "www.pterodon.cz" width:144 align:#center

 	---------------------------------------------------------------
	-- Init RollOot
	---------------------------------------------------------------
 	fn fnKeyNames	= #( _name )
 	fn fnKeyUI		= #( #() )
 	fn fnKeyDef		= #( #() )
	fn fnName		= "About"
	fn fnRollOut	= AboutRollOut
	fn fnInitRollOut = (
		local _name		= fnName()
		local _RollOut	= fnRollOut()
		fnAppendRollOut _RollOut _name c:false
	)
	
	---------------------------------------------------------------
	-- Event Handler
	---------------------------------------------------------------
	on btnPtero pressed do (
		assetBrowser.open() 
		assetBrowser.gotoURL "http://www.pterodon.cz/"
	)
	on AboutRollOut open do (
		local ver = "Version " + ( version as float ) as string -- ( this.version as float ) as string
		local iconpath = scriptPath + "\\PC_plugin.BMP"
		
		_RollOut	= fnRollOut()
		_name		= fnName()

		flag = (getfiles iconpath).count
		case flag of (
			1:		iconMap.fileName = iconpath
			default:	()
			)
		lbl00.text = ver
	)
)

---------------------------------------------------------------
---------------------------------------------------------------

AboutRollOut.fnInitRollOut()

---------------------------------------------------------------
---------------------------------------------------------------
